<?php
/*
 * Copyright 2008 ThinkLeft (thinkleft.com.au)
 * Copyright 2008 ProsePoint (www.prosepoint.org)
 */

function prosepoint_config_channels_data_init() {
  global $channels_table;

  $channels_table = array(
    'news' => array('#name' => 'News', '#description' => '', '#weight' => -1, '#editions_enable' => 1,
      'national' => array('#name' => 'National News', '#description' => '', '#weight' => 0, '#editions_enable' => 1,
        'entertainment' => array('#name' => 'Entertainment News', '#description' => '', '#weight' => 1, '#editions_enable' => 1),
        'health' => array('#name' => 'Health News', '#description' => '', '#weight' => 2, '#editions_enable' => 1),
        'politics' => array('#name' => 'Political News', '#description' => '', '#weight' => 3, '#editions_enable' => 1),
      ),
      'world' => array('#name' => 'World News', '#description' => '', '#weight' => 1, '#editions_enable' => 1),
      'business' => array('#name' => 'Business News', '#description' => '', '#weight' => 2, '#editions_enable' => 1),
      'technology' => array('#name' => 'Technology News', '#description' => '', '#weight' => 3, '#editions_enable' => 1),
    ),
    'my_magazine' => array('#name' => 'My Magazine', '#description' => '', '#weight' => 4, '#editions_enable' => 1),
    'my_blog' => array('#name' => 'My Blog', '#description' => '', '#weight' => 5, '#editions_enable' => 0),
  );
}

// Create the nodes 
function prosepoint_config_node_init() {
  global $user, $node_table;

  $months = array('now' => '', '-1 month' => '', '-2 month' => '', '-3 month' => '', '-4 month' => '', '+1 month' => '');
  foreach ($months as $k => $v) {
    $stamp = strtotime($k);
    $months[$k] = array(
      'desc' => date('F Y', $stamp),
      'value' => date('Y-m-01', $stamp) . 'T00:00:00',
    );
  }        
      
  $date_today = date('Y-m-d') . 'T00:00:00';
  $date_string_today = date('l, F jS, Y');

  $frontpage_edition_composite_layout = array(
    'composite_layout' => 'threecol_25_50_25',
    'composite_references' => array(
      'field_eid' => array(
        'type' => 'field',
        'weight' => -10,
        'id' => 'field_eid',
        'data' => array('format' => 'default'), 
        'zone' => 'top',
      ),
      'body' => array(
        'type' => 'field',
        'weight' => -9,
        'id' => 'body',
        'zone' => 'top',
      ),
      'field_headlines-0' => array(
        'type' => 'field',
        'weight' => -10,
        'id' => 'field_headlines-0',
        'data' => array('format' => 'teaser'), 
        'zone' => 'left',
      ),
      'field_headlines-4' => array(
        'type' => 'field',
        'weight' => -9,
        'id' => 'field_headlines-4',
        'data' => array('format' => 'teaser'), 
        'zone' => 'left',
      ),
      'field_headlines-1' => array(
        'type' => 'field',
        'weight' => -10,
        'id' => 'field_headlines-1',
        'data' => array('format' => 'teaser'), 
        'zone' => 'middle',
      ),
      'field_headlines-2' => array(
        'type' => 'field',
        'weight' => -9,
        'id' => 'field_headlines-2',
        'data' => array('format' => 'teaser'), 
        'zone' => 'middle',
      ),
      'field_headlines-3' => array(
        'type' => 'field',
        'weight' => -8,
        'id' => 'field_headlines-3',
        'data' => array('format' => 'teaser'), 
        'zone' => 'middle',
      ),
      'field_stories' => array(
        'type' => 'field',
        'weight' => -7,
        'id' => 'field_stories',
        'data' => array('format' => 'default'), 
        'zone' => 'middle',
      ),
      'pp_ch-channel_1' => array(
        'type' => 'block',
        'weight' => -10,
        'id' => 'pp_ch-channel_1',
        'zone' => 'right',
      ),
      'pp_ch-channel_9' => array(
        'type' => 'block',
        'weight' => -9,
        'id' => 'pp_ch-channel_9',
        'zone' => 'right',
      ),
      'field_headlines-5' => array(
        'type' => 'field',
        'weight' => -8,
        'id' => 'field_headlines-5',
        'data' => array('format' => 'teaser'), 
        'zone' => 'right',
      ),
    ),
  );
  $edition_composite_layout = array(
    'composite_layout' => 'threecol_25_50_25',
    'composite_references' => array(
      'field_eid' => array(
        'type' => 'field',
        'weight' => -10,
        'id' => 'field_eid',
        'data' => array('format' => 'default'), 
        'zone' => 'top',
      ),
      'body' => array(
        'type' => 'field',
        'weight' => -9,
        'id' => 'body',
        'zone' => 'top',
      ),
      'field_headlines-0' => array(
        'type' => 'field',
        'weight' => -8,
        'id' => 'field_headlines-0',
        'data' => array('format' => 'teaser'), 
        'zone' => 'top',
      ),
      'field_headlines-4' => array(
        'type' => 'field',
        'weight' => -9,
        'id' => 'field_headlines-4',
        'data' => array('format' => 'teaser'), 
        'zone' => 'left',
      ),
      'field_headlines-1' => array(
        'type' => 'field',
        'weight' => -10,
        'id' => 'field_headlines-1',
        'data' => array('format' => 'teaser'), 
        'zone' => 'middle',
      ),
      'field_headlines-2' => array(
        'type' => 'field',
        'weight' => -9,
        'id' => 'field_headlines-2',
        'data' => array('format' => 'teaser'), 
        'zone' => 'middle',
      ),
      'pp_ch-channel_1' => array(
        'type' => 'block',
        'weight' => -10,
        'id' => 'pp_ch-channel_1',
        'zone' => 'right',
      ),
      'pp_ch-channel_9' => array(
        'type' => 'block',
        'weight' => -9,
        'id' => 'pp_ch-channel_9',
        'zone' => 'right',
      ),
      'field_headlines-3' => array(
        'type' => 'field',
        'weight' => -8,
        'id' => 'field_headlines-3',
        'data' => array('format' => 'teaser'), 
        'zone' => 'bottom',
      ),
      'field_stories' => array(
        'type' => 'field',
        'weight' => -7,
        'id' => 'field_stories',
        'data' => array('format' => 'default'), 
        'zone' => 'bottom',
      ),
    ),
  );

  $node_table = array(
    'image1' => array('type' => 'ifimage', 'values' => array(
      'op' => t('Save'),
      'name' => $user->name,
      'title' => 'Cabell County Courthouse',
      'body' => 'This photo is from http://commons.wikimedia.org/wiki/http://commons.wikimedia.org/wiki/Image:Cabell_County_Courthouse.jpg, courtesy of JaGa, republished here under the GNU Free Documentation License, Version 1.2 or any later version.',
      'fields' => array(
        'field_file' => array('file' => 'profiles/prosepoint/files/Cabell_County_Courthouse.jpg', 'mime' => 'image/jpeg'),
      ),
    )),
    'image2' => array('type' => 'ifimage', 'values' => array(
      'op' => t('Save'),
      'name' => $user->name,
      'title' => 'Red Day Lily',
      'body' => 'This photo is from http://commons.wikimedia.org/wiki/Image:RedDaylily.jpg, courtesy of Victor Rocha, republished here under the  Creative Commons Attribution ShareAlike 3.0 Unported License.',
      'fields' => array(
        'field_file' => array('file' => 'profiles/prosepoint/files/RedDaylily.jpg', 'mime' => 'image/jpeg'),
      ),
    )),
    'image3' => array('type' => 'ifimage', 'values' => array(
      'op' => t('Save'),
      'name' => $user->name,
      'title' => 'Hong Kong Night Skyline',
      'body' => 'This photo is from http://commons.wikimedia.org/wiki/Image:Hong_Kong_Night_Skyline.jpg, courtesy of Samuel Louie and Carol Spears, republished here under the Creative Commons Attribution ShareAlike 3.0 Unported License.',
      'fields' => array(
        'field_file' => array('file' => 'profiles/prosepoint/files/Hong_Kong_Night_Skyline.jpg', 'mime' => 'image/jpeg'),
      ),
    )),
    'image4' => array('type' => 'ifimage', 'values' => array(
      'op' => t('Save'),
      'name' => $user->name,
      'title' => 'Day Before Launch',
      'body' => 'This photo is from http://commons.wikimedia.org/wiki/Image:STS_114_day_before_launch.jpg, courtesy of NASA, republished here from the public domain.',
      'fields' => array(
        'field_file' => array('file' => 'profiles/prosepoint/files/STS_114_day_before_launch.jpg', 'mime' => 'image/jpeg'),
      ),
    )),
    'media1' => array('type' => 'media', 'values' => array(
      'op' => t('Save'),
      'name' => $user->name,
      'title' => 'Sample Flash File',
      'body' => '<p>Sample flash file</p>',
      'fields' => array(
        'field_file' => array('file' => 'profiles/prosepoint/files/prosepoint.swf', 'mime' => 'application/x-shockwave-flash'),
        'field_width' => array('value' => '350'),
        'field_height' => array('value' => '60'),
      ),
    )),
    'media2' => array('type' => 'media', 'values' => array(
      'op' => t('Save'),
      'name' => $user->name,
      'title' => 'Motorcycle',
      'body' => '<p>This file is from http://commons.wikimedia.org/wiki/Image:Bikesedi-1150402469.can.ogg, courtesy of Mark Kilby, republished here under the Creative Commons Attribution 2.5 License.</p>',
      'fields' => array(
        'field_file' => array('file' => 'profiles/prosepoint/files/Bikesedi-1150402469.can.ogg', 'mime' => 'application/ogg'),
        'field_width' => array('value' => '384'),
        'field_height' => array('value' => '315'),
      ),
    )),
    'page1' => array('type' => 'page', 'values' => array(
      'op' => t('Save'),
      'name' => $user->name,
      'title' => 'About',
      'body' => '<p>This is a demo site for ProsePoint, a newspaper content management system. ProsePoint is a software package that lets people quickly and easily publish their own newspaper or magazine online.</p>
<p>For more information, see <a href="/prosepoint">here</a> or visit the <a href="http://www.prosepoint.org">ProsePoint</a> website.</p>
<p>Throughout this demo site, you will see many paragraphs of nonsensical text, often starting with "Lorem Ipsum". These are just filler text to give you an idea of how the site looks without distracting you into actually reading it. Please ignore them. Similarly, all news stories on this demo site are obviously fictitious.</p>
      <h2>Sample Styles</h2>
      <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.</p>
      <h2>Heading 2</h2>
      <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.</p>
      <h3>Heading 3</h3>
      <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.</p>
      <h4>Heading 4</h4>
      <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.</p>
      <h5>Heading 5</h5>
      <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.</p>
      <h6>Heading 6</h6>
      <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.</p>
      <p>Sample unordered list</p>
      <ul><li>
      Lorem Ipsum.
      </li><li>
      Lorem ipsum dolor sit amet, consectetuer adipiscing elit. 
        <ul><li>
        Lorem ipsum.
        </li><li>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. 
        </li><li>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.
        </li></ul>
      </li><li>
      Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.
      </li></ul>
      <p>Sample ordered list</p>
      <ol><li>
      Lorem Ipsum.
      </li><li>
      Lorem ipsum dolor sit amet, consectetuer adipiscing elit. 
        <ol><li>
        Lorem ipsum.
        </li><li>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. 
        </li><li>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.
        </li></ol>
      </li><li>
      Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.
      </li></ol>
      <p>Sample table</p>
      <table><tr>
        <th>Heading 1</th><th>Heading 2</th><th>Heading 3</th>
      </tr><tr>
        <td>Lorem ipsum.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.
        </td>
      </tr><tr>
        <td>Lorem ipsum.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.
        </td>
      </tr><tr>
        <td>Lorem ipsum.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.
        </td>
      </tr></table>
      <p>Sample table with striping</p>
      <table><tr>
        <th>Heading 1</th><th>Heading 2</th><th>Heading 3</th>
      </tr><tr class="odd">
        <td>Lorem ipsum.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.
        </td>
      </tr><tr class="even">
        <td>Lorem ipsum.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.
        </td>
      </tr><tr class="odd">
        <td>Lorem ipsum.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.
        </td>
      </tr><tr class="even">
        <td>Lorem ipsum.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
        </td><td>
        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.
        </td>
      </tr></table>
      <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.</p>',
    )),
    'page2' => array('type' => 'page', 'values' => array(
      'op' => t('Save'),
      'name' => $user->name,
      'title' => 'ProsePoint',
      'body' => '<p style="font-size: 2em">A free and open source newspaper content management system.</p>
<p>ProsePoint is a software package that lets you quickly and easily publish your own newspaper or magazine online. You can upload stories, edit stories online, and organise stories into editions, all through the user-friendly and convenient web interface.</p>
<p>ProsePoint aims to have as many commonly used features as possible available and ready to go out of the box. For a new publication, this means no customising or searching around for extra modules. If you find a theme you like, you don\'t even a web designer. Just install ProsePoint and you\'re ready to publish!</p>
<p>Best of all, ProsePoint is completely free and open source. This means no lock-in, no royalties, and total freedom to make your newspaper or magazine the best on the web.</p>
<h3>Features</h3>
<ul>
<li> <strong>Newspaper and magazine centric data architecture</strong> - Stories can be aggregated into editions, and editions are versions of a publication series. </li>
<li> <strong>Wysiwyg editing</strong> - Seamless integration with the TinyMCE rich text editor. </li>
<li> <strong>Native management of images</strong> - Images are treated as content items, and can be manipulated, resized etc. </li>
<li> <strong>Native management of media files (ie audio, video)</strong> - Coming soon. </li>
<li> <strong>Social network friendly links</strong> - Readers can add or bookmark your stories to social networking sites. </li>
<li> <strong>Search engine friendly</strong> - Intuitive and clean looking web addresses that increase search engine traffic. </li>
<li> <strong>Compatible with Drupal 6 modules</strong> - Access a large established pool of free and open source modules for extra functionality. </li>
<li> <strong>Free and open source</strong> - Licensed under the GPL 2. </li>
</ul>
<p>For more information, visit the <a href="http://www.prosepoint.org">ProsePoint website</a>.</p>',
      'format' => 2,
    )),
    'source1' => array('type' => 'source', 'values' => array(
      'op' => t('Save'),
      'name' => $user->name,
      'title' => 'Joe Bloggs',
    )),
    'source2' => array('type' => 'source', 'values' => array(
      'op' => t('Save'),
      'name' => $user->name,
      'title' => 'Mary Jane',
    )),
    'story1' => array('type' => 'story', 'values' => array(
      'op' => t('Save'),
      'title' => 'Sample News Story 1',
      'name' => $user->name,
      'terms' => array(
        'My Blog', 'News', 'National News', 
      ),
      'fields' => array(
        'field_subtitle' => array('value' => 'Subtitle goes here'),
        'field_date' => array('value' => $date_today),
        'field_source' => array('labels' => array('source1')),
      ),
      'body' => '<pp_img type="node" title="Sample Image" caption="Source: Wikimedia Commons" align="right" link="" target="" nid="2" preset="medium"> </pp_img>
<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem. Suspendisse diam neque, dapibus non, placerat eu, feugiat sit amet, erat. Nulla facilisi. Donec vehicula. Nam sit amet metus. Suspendisse potenti. Fusce at tortor. Nullam non nisl at dolor lobortis vehicula.</p>
  <p>Praesent nibh neque, consequat eu, dictum vulputate, varius at, lectus. Nullam placerat lorem. Curabitur vel nunc. Etiam at quam. Maecenas tincidunt libero non ligula. In ac risus. Mauris dapibus tellus id purus lacinia ornare. Curabitur lobortis aliquam neque. In sit amet tellus non turpis auctor sodales. Nulla facilisi. Nulla aliquet, metus id molestie egestas, metus magna tristique turpis, accumsan eleifend ligula pede ac metus. Curabitur tristique risus vel purus. Maecenas dictum. In sit amet felis. Aliquam dolor. Nulla at ante vitae nunc vulputate tempor. Nunc tempus sodales purus. Sed pharetra egestas eros. Vestibulum ut ante non ipsum sodales ornare. Donec tincidunt. Praesent ante est, laoreet in, aliquet et, tristique sed, arcu.</p>
    <p>Fusce sit amet velit. Aliquam nulla. In turpis justo, accumsan feugiat, pharetra sed, tempus et, neque. Vivamus vitae magna quis sapien scelerisque pretium. Ut arcu ligula, condimentum vitae, cursus vel, bibendum a, quam. Phasellus quis orci. Cras ante metus, mattis eu, imperdiet ullamcorper, tincidunt a, libero. Nulla aliquet, metus id molestie egestas, metus magna tristique turpis, accumsan eleifend ligula pede ac metus. Integer tincidunt est ut dolor.</p>
<pp_img type="node" title="Sample Image" caption="Source: Wikimedia Commons" align="left" link="" target="" nid="1" preset="medium"> </pp_img>
  <p>Praesent nibh neque, consequat eu, dictum vulputate, varius at, lectus. Nullam placerat lorem. Curabitur vel nunc. Etiam at quam. Maecenas tincidunt libero non ligula. In ac risus. Mauris dapibus tellus id purus lacinia ornare. Curabitur lobortis aliquam neque. In sit amet tellus non turpis auctor sodales. Nulla facilisi. Curabitur tristique risus vel purus. Maecenas dictum. In sit amet felis. Aliquam dolor. Nulla at ante vitae nunc vulputate tempor. Nunc tempus sodales purus. Sed pharetra egestas eros. Vestibulum ut ante non ipsum sodales ornare. Donec tincidunt. Praesent ante est, laoreet in, aliquet et, tristique sed, arcu.</p>',
    )),
    'story2' => array('type' => 'story', 'values' => array(
      'op' => t('Save'),
      'title' => 'Sample News Story 2',
      'name' => $user->name, 
      'terms' => array(
        'My Blog', 'News', 'National News', 
      ),
      'fields' => array(
        'field_subtitle' => array('value' => 'Subtitle goes here'),
        'field_date' => array('value' => $date_today),
        'field_source' => array('labels' => array('source2')),
        ),
      'body' => '<pp_img type="node" title="Sample Image" caption="Source: Wikimedia Commons" align="right" link="/node/1" target="" nid="1" preset="medium"> </pp_img>
<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem. Suspendisse diam neque, dapibus non, placerat eu, feugiat sit amet, erat. Nulla facilisi. Donec vehicula. Nam sit amet metus. Suspendisse potenti. Fusce at tortor. Nullam non nisl at dolor lobortis vehicula.</p>
  <p>Fusce sit amet velit. Aliquam nulla. In turpis justo, accumsan feugiat, pharetra sed, tempus et, neque. Vivamus vitae magna quis sapien scelerisque pretium. Ut arcu ligula, condimentum vitae, cursus vel, bibendum a, quam. Phasellus quis orci. Cras ante metus, mattis eu, imperdiet ullamcorper, tincidunt a, libero. Nulla aliquet, metus id molestie egestas, metus magna tristique turpis, accumsan eleifend ligula pede ac metus. Integer tincidunt est ut dolor.</p>
  <p>Praesent nibh neque, consequat eu, dictum vulputate, varius at, lectus. Nullam placerat lorem. Curabitur vel nunc. Etiam at quam. Maecenas tincidunt libero non ligula. In ac risus. Mauris dapibus tellus id purus lacinia ornare. Curabitur lobortis aliquam neque. In sit amet tellus non turpis auctor sodales. Nulla facilisi. Curabitur tristique risus vel purus. Maecenas dictum. In sit amet felis. Aliquam dolor. Nulla at ante vitae nunc vulputate tempor. Nunc tempus sodales purus. Sed pharetra egestas eros. Vestibulum ut ante non ipsum sodales ornare. Donec tincidunt. Praesent ante est, laoreet in, aliquet et, tristique sed, arcu.</p>',
    )),
    'story3' => array('type' => 'story', 'values' => array(
      'op' => t('Save'),
      'title' => 'Sample News Story 3',
      'name' => $user->name, 
      'terms' => array(
        'My Blog', 'News', 'National News', 
      ),
      'fields' => array(
        'field_subtitle' => array('value' => 'Subtitle goes here'),
        'field_date' => array('value' => $date_today),
        'field_source' => array('labels' => array('source1', 'source2')),
        ),
      'body' => '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem. Suspendisse diam neque, dapibus non, placerat eu, feugiat sit amet, erat. Nulla facilisi. Donec vehicula. Nam sit amet metus. Suspendisse potenti. Fusce at tortor. Nullam non nisl at dolor lobortis vehicula.</p>
<pp_img type="node" title="Sample Image" caption="Source: Wikimedia Commons" align="left" link="/node/2" target="" nid="2" preset="medium"> </pp_img>
  <p>Fusce sit amet velit. Aliquam nulla. In turpis justo, accumsan feugiat, pharetra sed, tempus et, neque. Vivamus vitae magna quis sapien scelerisque pretium. Ut arcu ligula, condimentum vitae, cursus vel, bibendum a, quam. Phasellus quis orci. Cras ante metus, mattis eu, imperdiet ullamcorper, tincidunt a, libero. Nulla aliquet, metus id molestie egestas, metus magna tristique turpis, accumsan eleifend ligula pede ac metus. Integer tincidunt est ut dolor.</p>
  <p>Praesent nibh neque, consequat eu, dictum vulputate, varius at, lectus. Nullam placerat lorem. Curabitur vel nunc. Etiam at quam. Maecenas tincidunt libero non ligula. In ac risus. Mauris dapibus tellus id purus lacinia ornare. Curabitur lobortis aliquam neque. In sit amet tellus non turpis auctor sodales. Nulla facilisi. Curabitur tristique risus vel purus. Maecenas dictum. In sit amet felis. Aliquam dolor. Nulla at ante vitae nunc vulputate tempor. Nunc tempus sodales purus. Sed pharetra egestas eros. Vestibulum ut ante non ipsum sodales ornare. Donec tincidunt. Praesent ante est, laoreet in, aliquet et, tristique sed, arcu.</p>',
    )),
    'story4' => array('type' => 'story', 'values' => array(
      'op' => t('Save'),
      'title' => 'Sample News Story 4',
      'name' => $user->name, 
      'terms' => array(
        'My Blog', 'News', 'National News', 
      ),
      'fields' => array(
        'field_subtitle' => array('value' => 'Subtitle goes here'),
        'field_date' => array('value' => $date_today),
        'field_source' => array('labels' => array('source1')),
        ),
      'body' => '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem. Suspendisse diam neque, dapibus non, placerat eu, feugiat sit amet, erat. Nulla facilisi. Donec vehicula. Nam sit amet metus. Suspendisse potenti. Fusce at tortor. Nullam non nisl at dolor lobortis vehicula. Praesent nibh neque, consequat eu, dictum vulputate, varius at, lectus. Nullam placerat lorem. Curabitur vel nunc. Etiam at quam. Maecenas tincidunt libero non ligula. In ac risus. Mauris dapibus tellus id purus lacinia ornare. Curabitur lobortis aliquam neque. In sit amet tellus non turpis auctor sodales. Nulla facilisi. </p>
<pp_img type="node" title="Sample Image" caption="Source: Wikimedia Commons" align="center" link="/node/3" target="" nid="3" preset="medium"> </pp_img>
  <p>Fusce sit amet velit. Aliquam nulla. In turpis justo, accumsan feugiat, pharetra sed, tempus et, neque. Vivamus vitae magna quis sapien scelerisque pretium. Ut arcu ligula, condimentum vitae, cursus vel, bibendum a, quam. Phasellus quis orci. Cras ante metus, mattis eu, imperdiet ullamcorper, tincidunt a, libero. Nulla aliquet, metus id molestie egestas, metus magna tristique turpis, accumsan eleifend ligula pede ac metus. Integer tincidunt est ut dolor.</p>
<pp_img type="node" title="Sample Image" caption="Source: Wikimedia Commons" align="center" link="/node/2" target="" nid="2" preset="medium"> </pp_img>
  <p>Praesent nibh neque, consequat eu, dictum vulputate, varius at, lectus. Nullam placerat lorem. Curabitur vel nunc. Etiam at quam. Maecenas tincidunt libero non ligula. In ac risus. Mauris dapibus tellus id purus lacinia ornare. Curabitur lobortis aliquam neque. In sit amet tellus non turpis auctor sodales. Nulla facilisi. Curabitur tristique risus vel purus. Maecenas dictum. In sit amet felis. Aliquam dolor. Nulla at ante vitae nunc vulputate tempor. Nunc tempus sodales purus. Sed pharetra egestas eros. Vestibulum ut ante non ipsum sodales ornare. Donec tincidunt. Praesent ante est, laoreet in, aliquet et, tristique sed, arcu.</p>',
    )),
    'story5' => array('type' => 'story', 'values' => array(
      'op' => t('Save'),
      'title' => 'Sample News Story 5',
      'name' => $user->name, 
      'terms' => array(
        'My Blog', 'News', 'National News', 
      ),
      'fields' => array(
        'field_subtitle' => array('value' => 'Subtitle goes here'),
        'field_date' => array('value' => $date_today),
        'field_source' => array('labels' => array('source1', 'source2')),
        ),
      'body' => '<pp_img type="node" title="Sample Image" caption="Source: Wikimedia Commons" align="right" link="/node/4" target="" nid="4" preset="medium"> </pp_img>
<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem. Suspendisse diam neque, dapibus non, placerat eu, feugiat sit amet, erat. Nulla facilisi. Donec vehicula. Nam sit amet metus. Suspendisse potenti. Fusce at tortor. Nullam non nisl at dolor lobortis vehicula.</p>
  <p>Fusce sit amet velit. Aliquam nulla. In turpis justo, accumsan feugiat, pharetra sed, tempus et, neque. Vivamus vitae magna quis sapien scelerisque pretium. Ut arcu ligula, condimentum vitae, cursus vel, bibendum a, quam. Phasellus quis orci. Cras ante metus, mattis eu, imperdiet ullamcorper, tincidunt a, libero. Nulla aliquet, metus id molestie egestas, metus magna tristique turpis, accumsan eleifend ligula pede ac metus. Integer tincidunt est ut dolor.</p>
  <p>Praesent nibh neque, consequat eu, dictum vulputate, varius at, lectus. Nullam placerat lorem. Curabitur vel nunc. Etiam at quam. Maecenas tincidunt libero non ligula. In ac risus. Mauris dapibus tellus id purus lacinia ornare. Curabitur lobortis aliquam neque. In sit amet tellus non turpis auctor sodales. Nulla facilisi. Curabitur tristique risus vel purus. Maecenas dictum. In sit amet felis. Aliquam dolor. Nulla at ante vitae nunc vulputate tempor. Nunc tempus sodales purus. Sed pharetra egestas eros. Vestibulum ut ante non ipsum sodales ornare. Donec tincidunt. Praesent ante est, laoreet in, aliquet et, tristique sed, arcu.</p>',
    )),
    'edition1.1' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'News',
      'name' => $user->name,
      'fields' => array(
        'field_channel' => array('#name' => 'News'),
        'field_eid' => array('value' => $date_string_today),
        'field_schedule' => array('value' => $date_today),
        'field_headlines' => array('labels' => array('story5', 'story1', 'story2', 'story3', 'story4', 'story5')),
        'field_stories' => array('labels' => array('story5', 'story1', 'story2', 'story3', 'story4', 'story5')),
        ),
      'body' => '',
      'composite' => $frontpage_edition_composite_layout,
    )),
    
    // National News
    'edition2.1' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'National News',
      'name' => $user->name, 
      'fields' => array(
        'field_channel' => array('#name' => 'National News'),
        'field_eid' => array('value' => $date_string_today),
        'field_schedule' => array('value' => $date_today),
        'field_headlines' => array('labels' => array('story1', 'story2', 'story3', 'story4', 'story5')),
        'field_stories' => array('labels' => array('story1', 'story2', 'story3', 'story4', 'story5')),
        ),
      'body' => '',
      'composite' => $edition_composite_layout,
    )),

    // World News
    'edition3.1' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'World News',
      'name' => $user->name, 
      'fields' => array(
        'field_channel' => array('#name' => 'World News'),
        'field_eid' => array('value' => $date_string_today),
        'field_schedule' => array('value' => $date_today),
        'field_headlines' => array('labels' => array('story2', 'story3', 'story4', 'story5', 'story1')),
        'field_stories' => array('labels' => array('story3', 'story4', 'story5', 'story2', 'story3')),
        ),
      'body' => '',
      'composite' => $edition_composite_layout,
    )),

    // Business News
    'edition4.1' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'Business News',
      'name' => $user->name, 
      'fields' => array(
        'field_channel' => array('#name' => 'Business News'),
        'field_eid' => array('value' => $date_string_today),
        'field_schedule' => array('value' => $date_today),
        'field_headlines' => array('labels' => array('story3', 'story4', 'story5', 'story1', 'story2')),
        'field_stories' => array('labels' => array('story3', 'story4', 'story5', 'story1', 'story2')),
        ),
      'body' => '',
      'composite' => $edition_composite_layout,
    )),
    
    // Technology News    
    'edition5.1' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'Technology News',
      'name' => $user->name, 
      'fields' => array(
        'field_channel' => array('#name' => 'Technology News'),
        'field_eid' => array('value' => $date_string_today),
        'field_schedule' => array('value' => $date_today),
        'field_headlines' => array('labels' => array('story4', 'story5', 'story1', 'story2', 'story3', )),
        'field_stories' => array('labels' => array('story4', 'story5', 'story1', 'story2', 'story3')),
        ),
      'body' => '',
      'composite' => $edition_composite_layout,
    )),
    
    // National -> Political News
    'edition6.1' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'Political News',
      'name' => $user->name, 
      'fields' => array(
        'field_channel' => array('#name' => 'Political News'),
        'field_eid' => array('value' => $date_string_today),
        'field_schedule' => array('value' => $date_today),
        'field_headlines' => array('labels' => array('story5', 'story1', 'story2', 'story3', 'story4')),
        'field_stories' => array('labels' => array('story5', 'story1', 'story2', 'story3', 'story4')),
        ),
      'body' => '',
      'composite' => $edition_composite_layout,
    )),
    // National -> Health News
    'edition7.1' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'Health News',
      'name' => $user->name, 
      'fields' => array(
        'field_channel' => array('#name' => 'Health News'),
        'field_eid' => array('value' => $date_string_today),
        'field_schedule' => array('value' => $date_today),
        'field_headlines' => array('labels' => array('story1', 'story2', 'story3', 'story4', 'story5')),
        'field_stories' => array('labels' => array('story1', 'story2', 'story3', 'story4', 'story5')),
        ),
      'body' => '',
      'composite' => $edition_composite_layout,
    )),
    // National -> Entertainment News
    'edition8.1' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'Entertainment News',
      'name' => $user->name, 
      'fields' => array(
        'field_channel' => array('#name' => 'Entertainment News'),
        'field_eid' => array('value' => $date_string_today),
        'field_schedule' => array('value' => $date_today),
        'field_headlines' => array('labels' => array('story2', 'story3', 'story4', 'story5', 'story1')),
        'field_stories' => array('labels' => array('story2', 'story3', 'story4', 'story5', 'story1')),
        ),
      'body' => '',
      'composite' => $edition_composite_layout,
    )),

    // My Magazine    
    'edition10.1' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'My Magazine',
      'name' => $user->name, 
      'fields' => array(
        'field_channel' => array('#name' => 'My Magazine'),
        'field_eid' => array('value' => $months['-1 month']['desc']),
        'field_schedule' => array('value' => $months['-1 month']['value']),
        'field_headlines' => array('labels' => array('story4', 'story5', 'story1', 'story2', 'story3')),
        'field_stories' => array('labels' => array('story4', 'story5', 'story1', 'story2', 'story3')),
        ),
      'body' => '',
      'composite' => $edition_composite_layout,
    )),
    'edition10.2' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'My Magazine',
      'name' => $user->name, 
      'fields' => array(
        'field_channel' => array('#name' => 'My Magazine'),
        'field_eid' => array('value' => $months['-2 month']['desc']),
        'field_schedule' => array('value' => $months['-2 month']['value']),
        'field_headlines' => array('labels' => array('story5', 'story1', 'story2', 'story3', 'story4')),
        'field_stories' => array('labels' => array('story5', 'story1', 'story2', 'story3', 'story4')),
        ),
      'body' => '',
      'composite' => $edition_composite_layout,
    )),
    'edition10.3' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'My Magazine',
      'name' => $user->name, 
      'fields' => array(
        'field_channel' => array('#name' => 'My magazine'),
        'field_eid' => array('value' => $months['-3 month']['desc']),
        'field_schedule' => array('value' => $months['-3 month']['value']),
        'field_headlines' => array('labels' => array('story1', 'story2', 'story3', 'story4', 'story5')),
        'field_stories' => array('labels' => array('story1', 'story2', 'story3', 'story4', 'story5')),
        ),
      'body' => '',
      'composite' => $edition_composite_layout,
    )),
    'edition10.4' => array('type' => 'edition', 'values' => array(
      'op' => t('Save'),
      'title' => 'My Magazine',
      'name' => $user->name, 
      'fields' => array(
        'field_channel' => array('#name' => 'My magazine'),
        'field_eid' => array('value' => $months['+1 month']['desc']),
        'field_schedule' => array('value' => $months['+1 month']['value']),
        'field_headlines' => array('labels' => array('story2', 'story3', 'story4', 'story5', 'story1')),
        'field_stories' => array('labels' => array('story2', 'story3', 'story4', 'story5', 'story1')),
        ),
      'body' => '',
      'composite' => $edition_composite_layout,
    )),
  );  
}

function prosepoint_config_extras() {
  global $node_table;
  global $channels_table;

  $items = array(
    array(
      'link_title' => t('About'),
      'link_path' => 'node/'.$node_table['page1']['nid'],
      'menu_name' => 'secondary-links',
      'plid' => 0,
      'weight' => -5,
    ),
    array(
      'link_title' => 'ProsePoint',
      'link_path' => 'node/'.$node_table['page2']['nid'],
      'menu_name' => 'secondary-links',
      'plid' => 0,
      'weight' => -4,
    ),
    array(
      'link_title' => t('Contact'),
      'link_path' => 'contact',
      'menu_name' => 'secondary-links',
      'plid' => 0,
      'weight' => 0,
    ),
    array(
      'link_title' => t('Register'),
      'link_path' => 'user/register',
      'menu_name' => 'secondary-links',
      'plid' => 0,
      'weight' => 7,
    ),
    array(
      'link_title' => t('Login'),
      'link_path' => 'user/login',
      'menu_name' => 'secondary-links',
      'plid' => 0,
      'weight' => 8,
    ),
    array(
      'link_title' => t('Logout'),
      'link_path' => 'logout',
      'menu_name' => 'secondary-links',
      'plid' => 0,
      'weight' => 9,
    ),
    'news' => array(
      'link_title' => t('National'),
      'link_path' => 'channel/' . $channels_table['news']['national']['tid'],
      'menu_name' => 'primary-links',
      'plid' => 0,
      'weight' => 0,
      'options' => array('attributes' => array('title' => t('National News'))),
    ),
    array(
      'link_title' => t('World'),
      'link_path' => 'channel/' . $channels_table['news']['world']['tid'],
      'menu_name' => 'primary-links',
      'plid' => 0,
      'weight' => 1,
      'options' => array('attributes' => array('title' => t('World News'))),
    ),
    array(
      'link_title' => t('Business'),
      'link_path' => 'channel/' . $channels_table['news']['business']['tid'],
      'menu_name' => 'primary-links',
      'plid' => 0,
      'weight' => 2,
      'options' => array('attributes' => array('title' => t('Business News'))),
    ),
    array(
      'link_title' => t('Technology'),
      'link_path' => 'channel/' . $channels_table['news']['technology']['tid'],
      'menu_name' => 'primary-links',
      'plid' => 0,
      'weight' => 3,
      'options' => array('attributes' => array('title' => t('Technology News'))),
    ),
    'my_magazine' => array(
      'link_title' => t('My Magazine'),
      'link_path' => 'channel/' . $channels_table['my_magazine']['tid'],
      'menu_name' => 'primary-links',
      'plid' => 0,
      'weight' => 4,
      'options' => array('attributes' => array('title' => t('My Magazine'))),
    ),
    'my_blog' => array(
      'link_title' => t('My Blog'),
      'link_path' => 'channel/' . $channels_table['my_blog']['tid'] . '/stories',
      'menu_name' => 'primary-links',
      'plid' => 0,
      'weight' => 5,
      'options' => array('attributes' => array('title' => t('My Blog'))),
    ),
  );

  foreach ($items as $k => $item) {
    $items[$k]['mlid'] = menu_link_save($item);
  }

  $news_mlid = $items['news']['mlid'];
  $mm_mlid = $items['my_magazine']['mlid'];

  $items = array(
    array(
      'link_title' => t('Politics'),
      'link_path' => 'channel/' . $channels_table['news']['national']['politics']['tid'],
      'menu_name' => 'primary-links',
      'plid' => $news_mlid,
      'weight' => 0,
      'options' => array('attributes' => array('title' => t('Political News'))),
    ),
    array(
      'link_title' => t('Health'),
      'link_path' => 'channel/' . $channels_table['news']['national']['health']['tid'],
      'menu_name' => 'primary-links',
      'plid' => $news_mlid,
      'weight' => 1,
      'options' => array('attributes' => array('title' => t('Health News'))),
    ),
    array(
      'link_title' => t('Entertainment'),
      'link_path' => 'channel/' . $channels_table['news']['national']['entertainment']['tid'],
      'menu_name' => 'primary-links',
      'plid' => $news_mlid,
      'weight' => 2,
      'options' => array('attributes' => array('title' => t('Entertainment News'))),
    ),

    array(
      'link_title' => $node_table['edition10.3']['values']['fields']['field_eid']['value'],
      'link_path' => 'node/' . $node_table['edition10.3']['nid'],
      'menu_name' => 'primary-links',
      'plid' => $mm_mlid,
      'weight' => 1,
    ),
    array(
      'link_title' => $node_table['edition10.2']['values']['fields']['field_eid']['value'],
      'link_path' => 'node/' . $node_table['edition10.2']['nid'],
      'menu_name' => 'primary-links',
      'plid' => $mm_mlid,
      'weight' => 2,
    ),
    array(
      'link_title' => $node_table['edition10.1']['values']['fields']['field_eid']['value'],
      'link_path' => 'node/' . $node_table['edition10.1']['nid'],
      'menu_name' => 'primary-links',
      'plid' => $mm_mlid,
      'weight' => 3,
    ),
    array(
      'link_title' => 'More Issues',
      'link_path' => 'channel/' . $channels_table['my_magazine']['tid'] . '/archive',
      'menu_name' => 'primary-links',
      'plid' => $mm_mlid,
      'weight' => 4,
    ),
  );

  foreach ($items as $item) {
    menu_link_save($item);
  }
  
  path_set_alias('node/'.$node_table['page1']['nid'], null);
  path_set_alias('node/'.$node_table['page2']['nid'], null);
  path_set_alias('node/'.$node_table['page1']['nid'], 'about');
  path_set_alias('node/'.$node_table['page2']['nid'], 'prosepoint');  

  path_set_alias('channel/' . $channels_table['news']['tid'], 'news');
  path_set_alias('channel/' . $channels_table['news']['national']['tid'], 'news/national');
  path_set_alias('channel/' . $channels_table['news']['world']['tid'], 'news/world');
  path_set_alias('channel/' . $channels_table['news']['business']['tid'], 'news/business');
  path_set_alias('channel/' . $channels_table['news']['technology']['tid'], 'news/technology');

  path_set_alias('channel/' . $channels_table['news']['national']['politics']['tid'], 'news/national/politics');
  path_set_alias('channel/' . $channels_table['news']['national']['entertainment']['tid'], 'news/national/entertainment');
  path_set_alias('channel/' . $channels_table['news']['national']['health']['tid'], 'news/national/health');

  path_set_alias('channel/' . $channels_table['my_magazine']['tid'], 'mymagazine');
  path_set_alias('channel/' . $channels_table['my_magazine']['tid'] . '/archive', 'mymagazine/archive');

  path_set_alias('channel/' . $channels_table['my_blog']['tid'] . '/stories', 'my_blog');

  variable_set('site_frontpage', 'channel/' . $channels_table['news']['tid']);

  prosepoint_config_demo_comments();
}

// Add some sample comments to the first page node (which should be the 'About' page)
function prosepoint_config_demo_comments() {
  global $user, $node_table;

  if (isset($node_table['page1']['nid'])) {
    $node = node_load($node_table['page1']['nid']);
  }
  else {
    return;
  }

  // Explicitly enable comments for this page node
  $node->comment = COMMENT_NODE_READ_WRITE;
  node_save($node);

  $comments_table = array(
    array(
      // 'cid' => '',
      'nid' => $node->nid,
      // 'pid' => 0,
      'uid' => $user->uid,
      'subject' => t('Sample comment 1'),
      'comment' => '<p>' . t('Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem. Suspendisse diam neque, dapibus non, placerat eu, feugiat sit amet, erat. Nulla facilisi. Donec vehicula. Nam sit amet metus. Suspendisse potenti. Fusce at tortor. Nullam non nisl at dolor lobortis vehicula.') . '</p>',
      'format' => 1,  // Hardcoded to default format. This is correct during installation. 
      'hostname' => '',
    ),
    array(
      'nid' => $node->nid,
      'uid' => $user->uid,
      'subject' => t('Sample comment 2'),
      'comment' => '<p>' . t('Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem. Suspendisse diam neque, dapibus non, placerat eu, feugiat sit amet, erat. Nulla facilisi. Donec vehicula. Nam sit amet metus. Suspendisse potenti. Fusce at tortor. Nullam non nisl at dolor lobortis vehicula.') . '</p>',
      'format' => 1,  // Hardcoded to default format. This is correct during installation. 
      'hostname' => '',
    ),
    array(
      'nid' => $node->nid,
      'uid' => $user->uid,
      'subject' => t('Sample comment 3'),
      'comment' => '<p>' . t('Normally, page nodes don\'t have comments enabled, but this page is an exception and has been configured to have comments. Sample comments are added here for convenience.') . '</p><p>' . t('Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem.') . '</p>',
      'format' => 1,  // Hardcoded to default format. This is correct during installation. 
      'hostname' => '',
    ),
    array(
      'nid' => $node->nid,
      'pid' => 2,   // Hardcoded value
      'uid' => $user->uid,
      'subject' => t('Sample comment 2-1'),
      'comment' => '<p>' . t('Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas non risus. Etiam consectetuer ipsum ac lorem. Suspendisse diam neque, dapibus non, placerat eu, feugiat sit amet, erat. Nulla facilisi. Donec vehicula. Nam sit amet metus. Suspendisse potenti. Fusce at tortor. Nullam non nisl at dolor lobortis vehicula.') . '</p>',
      'format' => 1,  // Hardcoded to default format. This is correct during installation. 
      'hostname' => '',
    ),
  );

  foreach ($comments_table as $comment) {
    comment_save($comment);
  }
}
